%%%%%%%%%%%%%%%%%% Example 2.2 %%%%%%%%%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   ---- Convert from TF to ZPK form ----
%
clear
disp('Example 2.2')
% Create G(z) as a TF object with Ts unspecified
G  = tf([0.1 0.03 -0.07],[1 -2.7 2.42 -0.72],-1)
disp('*****>'), pause
GG = zpk(G)                         % Convert G(z) into ZPK object
[zz,pp,kk,TTs] = zpkdata(GG,'v')    % Extract poles, zeros, K, & Ts from ZPK form
disp('*****>'), pause
[z,p,k,Ts] = zpkdata(G,'v')         % Extract poles, zeros, K, & Ts from TF form    
%%%%%%%%%%
