%%%%%%%%%%%%%%%%%%% wif5_7.m %%%%%%%%%%%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   ---- First-order hold discretization ----
%
clear
disp('What if 5.7')

A = [-4 -3; 1 0], B = [1; 0]    % state-space matrices
C = [1 5], D = 0
Gp = ss(A,B,C,D)                % continuous-time state-space model
T = 0.1                         % sampling period
Gz_foh = c2d(Gp,T,'foh')        % discretization of Gp(s)
%%%%%%%%%%%