%%%%%%%%%%% Reinforcement Problem 6.2 %%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   ---- Fourth-order Chebyshev I bandpass filter ----
%
clear
disp('Reinforcement Problem 6.2')

Ts = 0.01
G = tf(0.0931*[1 0 -2 0 1],[1 0 1.0349 0 0.4293],Ts)
zz = tzero(G)
pp = pole(G);
[magp,thetap] = xy2p(pp);
dcgain(G)

figure
ucircle,axis equal,hold on
pzmap(G),hold off

figure,bode(G)
%%%%%%%%%%